Skip to main content
GET
Get environment settings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

sdkVersion
string

The version of the SDK that is making the request

Response

Project settings response

chains
object[]
required
kyc
object[]
required
design
object
required
general
object
required
privacy
object
required
sdk
object
required
security
object
required
environmentName
enum<string>
Available options:
sandbox,
live
customFields
object[]
providers
object[]

External integrations like e-mail, social credentials, mpc providers, etc.

exchanges
object[]

exchanges such as coinbase, binance, etc

networks
object[]
checkouts
object[]

Checkouts for the project environment

Last modified on July 24, 2026